## org.apache.commons.configuration
Class VFSFileSystem

    java.lang.Object
      org.apache.commons.configuration.FileSystem
          org.apache.commons.configuration.DefaultFileSystem
              org.apache.commons.configuration.VFSFileSystem

    public class VFSFileSystem

extends DefaultFileSystem

FileSystem that uses Commons VFS

Since:
  1.7
Version:
  $Id: VFSFileSystem.java 1210205 2011-12-04 20:38:19Z oheger $
Author:
  Commons Configuration team

Constructor Summary
`VFSFileSystem()`

Method Summary
`String` `getBasePath(String path)`
`String` `getFileName(String path)`
`InputStream` `getInputStream(String basePath, String fileName)`
`InputStream` `getInputStream(URL url)`
`OutputStream` `getOutputStream(URL url)`
`String` `getPath(File file, URL url, String basePath, String fileName)`
`URL` `getURL(String basePath, String file)`
`URL` `locateFromURL(String basePath, String fileName)`

Methods inherited from class org.apache.commons.configuration.DefaultFileSystem
`getOutputStream`

Methods inherited from class org.apache.commons.configuration.FileSystem
`getDefaultFileSystem, getFileOptionsProvider, getLogger, resetDefaultFileSystem, setDefaultFileSystem, setFileOptionsProvider, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSFileSystem

    public VFSFileSystem()

Method Detail

### getInputStream

    public InputStream getInputStream(String basePath,
                                      String fileName)
                               throws ConfigurationException

  Overrides:
    `getInputStream` in class `DefaultFileSystem`
  Throws:
    `ConfigurationException`

### getInputStream

    public InputStream getInputStream(URL url)
                               throws ConfigurationException

  Overrides:
    `getInputStream` in class `DefaultFileSystem`
  Throws:
    `ConfigurationException`

### getOutputStream

    public OutputStream getOutputStream(URL url)
                                 throws ConfigurationException

  Overrides:
    `getOutputStream` in class `DefaultFileSystem`
  Throws:
    `ConfigurationException`

### getPath

    public String getPath(File file,
                          URL url,
                          String basePath,
                          String fileName)

  Overrides:
    `getPath` in class `DefaultFileSystem`

### getBasePath

    public String getBasePath(String path)

  Overrides:
    `getBasePath` in class `DefaultFileSystem`

### getFileName

    public String getFileName(String path)

  Overrides:
    `getFileName` in class `DefaultFileSystem`

### getURL

    public URL getURL(String basePath,
                      String file)
               throws MalformedURLException

  Overrides:
    `getURL` in class `DefaultFileSystem`
  Throws:
    `MalformedURLException`

### locateFromURL

    public URL locateFromURL(String basePath,
                             String fileName)

  Overrides:
    `locateFromURL` in class `DefaultFileSystem`

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.